# Enrichment **What is enrichment?**: Enrichment is the process of adding missing or updated data to existing contact or company records. Use enrichment to: - Complete CRM records - Improve outbound accuracy and deliverability - Keep records current as people and companies change > Enrichment can be performed in real time or in bulk, depending on the endpoint and use case. **Available enrichment APIs** Person enrichment: - [**Search single contact**](/apis/openapi/enrichment/searchsinglecontact) - Enrich one contact at a time - [**Search multiple contacts**](/apis/openapi/enrichment/searchmultiplecontacts) - Bulk enrich contacts Company enrichment: - [**Search a single company**](/apis/openapi/enrichment/searchsinglecompanyv2) - Enrich one company at a time - [**Search multiple companies**](/apis/openapi/enrichment/searchmultiplecompaniesv2) - Bulk enrich companies ## Search Single Contact - [GET /v2/person](https://docs.lusha.com/apis/openapi/enrichment/searchsinglecontact.md): Find and enrich a single contact using various search criteria. You can search by name, email, LinkedIn URL, or company information. >##### Endpoint GET https://api.lusha.com/v2/person >##### Search Requirements You must provide either: - personId OR - email OR - linkedinUrl OR - firstName AND lastName AND (companyName OR companyDomain) >##### Notes: - Provide as much information as possible for better results - Using personId provides the most direct way to retrieve contact information, as it uniquely identifies a contact in Lusha's database. - Use refreshJobInfo=true to get the latest employment data - Use filterBy parameter to specify what contact details you need - Include the signals parameter to retriever contact signals (If no signals data is found for the specified period, the signals object will be empty but still present in the response.) - When requesting signals, you can optionally specify a start date using signalsStartDate. - Signals data is optional. If you don't include the signals parameter, no signals data will be returned. --- ⚠️ Important Notice - Unified Credits Plan Required | Parameter | Requirement | |-----------|-------------| | revealEmails and revealPhones | Only available to customers on the Unified Credits pricing plan | | Plan Restriction | Attempting to use these parameters on other plans will result in a 403 Unauthorized error | | Default Behavior | When neither parameter is used, the API returns both email addresses and phone numbers, if available | --- ## Search Multiple Contacts - [POST /v2/person](https://docs.lusha.com/apis/openapi/enrichment/searchmultiplecontacts.md): Enrich multiple contacts in a single request. This endpoint allows you to submit a list of contacts and receive enriched data for each one, including company information. >##### Endpoint: POST https://api.lusha.com/v2/person >##### Notes - You can process up to 100 contacts per request. - Using personId provides the most direct way to retrieve contact information. - At least one of email, linkedinUrl, or company/domain with fullName is required. --- ⚠️ Important Notice - Unified Credits Plan Required | Parameter | Requirement | |-----------|-------------| | revealEmails and revealPhones | Only available to customers on the Unified Credits pricing plan | | Plan Restriction | Attempting to use these parameters on other plans will result in a 403 Unauthorized error | | Default Behavior | When neither parameter is used, the API returns both email addresses and phone numbers, if available | --- ## Search Single Company - [GET /v2/company](https://docs.lusha.com/apis/openapi/enrichment/searchsinglecompanyv2.md): Find detailed information about a single company by using different paramaters. >##### Endpoint: GET https://api.lusha.com/v2/company >##### Notes: - At least one of domain, company, or companyId is required. ## Search Multiple Companies - [POST /v2/company](https://docs.lusha.com/apis/openapi/enrichment/searchmultiplecompaniesv2.md): Search for multiple companies in a single request. Provide a list of companies with identifiers like domain names or company IDs. >##### Endpoint: POST https://api.lusha.com/bulk/company/v2 >##### Notes: - At least one of domain, company, or companyId is required. - You can process up to 100 companies per request.